Authorise device for off-line streaming

Authorise a device for offline mode.

The POST body can be sent in either JSON or XML formats.

OAuth User token

Example request

POST https://api.7digital.com/1.2/user/unlimitedStreaming/offline?country=GB&userId=141732543&oauth_consumer_key=YOUR_KEY_HERE&oauth_token=...

The Body of the request should be structured as follows:

<offlineStatus>
  <clientId>e5ada89d-db5b-4d0e-b70b-820796d7d583</clientId>
  <offlineEnabled>true</offlineEnabled>
</offlineStatus>

Example Response

<response status=”ok” version=”1.2”>
  <offlineStatus>
    <offlineEnabled>true</offlineEnabled>
    <offlineMaxTrackCount>4000</offlineMaxTrackCount>
  </offlineStatus>
</response>

Specific Error Codes

  • 1002 - "parameter name": "reason." User did not specify valid value for mandatory parameter. Check the message for more details.
  • 1003 - This account type cannot register offline device/Maximum number of offline devices registered. Client was not successfully registered for offline playback. Check the message for more details.
Form Data
string
required

The unique identifier of the user. For information on creating users click here.

int32
required

A unique identifier for the current device wanting to go offline.

boolean
required

true if the device is being enabled for offline streaming, false if it's being disabled.

string
required

ISO 2-character code of the country the end user resides in.

Language
LoadingLoading…